#[serial_test::serial]
#[tokio::test]
async fn test_check_updates_200_generated_success() {
    let mut client = sideko_rest_api::SidekoClient::default()
        .with_api_key_auth("API_KEY")
        .with_cookie_auth("API_KEY")
        .with_environment(sideko_rest_api::Environment::MockServer);
    let res = client
        .cli()
        .check_updates(sideko_rest_api::resources::cli::CheckUpdatesRequest {
            cli_version: "0.1.0".to_string(),
        })
        .await;
    println!("{:?}", res);
    assert!(res.is_ok());
}
